| freak

## Function

Generate residue/base frequency table or plot

## Description

freak reads one or more sequences and a set of bases or residues to search for. It then calculates the frequency of these bases/residues in a window as it moves along the sequence. The frequency is output to a data file or (optionally) plotted.

## Algorithm

The frequency of bases/residues is calculated in a window that is moved along the sequence. The window size and stepping value (number of positions the window is moved along each time) may be specified.

## Usage

Here is a sample session with freak

    % freak tembl:x65923
    Generate residue/base frequency table or plot
    Residue letters [gc]:
    Output file [x65923.freak]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers (* if not always prompted):
      [-seqall]            seqall     Sequence(s) filename and optional format, or
                                      reference (input USA)
       -letters            string     [gc] Residue letters (Any string is
                                      accepted)
    *  -graph              xygraph    [$EMBOSS_GRAPHICS value, or x11] Graph type
                                      (ps, hpgl, hp7470, hp7580, meta, cps, x11,
                                      tekt, tek, none, data, xterm, png, gif)
    *  -outfile            outfile    [*.freak] Output file name

       Additional (Optional) qualifiers:
       -step               integer    [1] Stepping value (Any integer value)
       -window             integer    [30] Averaging window (Any integer value)

       Advanced (Unprompted) qualifiers:
       -plot               toggle     [N] Produce graphic

       Associated qualifiers:

       "-seqall" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-graph" associated qualifiers
       -gprompt            boolean    Graph prompting
       -gdesc              string     Graph description
       -gtitle             string     Graph title
       -gsubtitle          string     Graph subtitle
       -gxtitle            string     Graph x axis title
       -gytitle            string     Graph y axis title
       -goutfile           string     Output file for non interactive displays
       -gdirectory         string     Output directory

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-seqall] (Parameter 1) | Sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
-letters | Residue letters | Any string is accepted | gc
-graph | Graph type | EMBOSS has a list of known devices, including ps, hpgl, hp7470, hp7580, meta, cps, x11, tekt, tek, none, data, xterm, png, gif | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <*>.freak
Additional (Optional) qualifiers | Allowed values | Default
-step | Stepping value | Any integer value | 1
-window | Averaging window | Any integer value | 30
Advanced (Unprompted) qualifiers | Allowed values | Default
-plot | Produce graphic | Toggle value Yes/No | No

## Input file format

freak reads normal sequence USAs.

### Input files for usage example

'tembl:x65923' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:x65923

    ID   X65923; SV 1; linear; mRNA; STD; HUM; 518 BP.
    XX
    AC   X65923;
    XX
    DT   13-MAY-1992 (Rel. 31, Created)
    DT   18-APR-2005 (Rel. 83, Last updated, Version 11)
    XX
    DE   H.sapiens fau mRNA
    XX
    KW   fau gene.
    XX
    OS   Homo sapiens (human)
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi; Mammalia;
    OC   Eutheria; Euarchontoglires; Primates; Haplorrhini; Catarrhini; Hominidae;
    OC   Homo.
    XX
    RN   [1]
    RP   1-518
    RA   Michiels L.M.R.;
    RT   ;
    RL   Submitted (29-APR-1992) to the EMBL/GenBank/DDBJ databases.
    RL   L.M.R. Michiels, University of Antwerp, Dept of Biochemistry,
    RL   Universiteisplein 1, 2610 Wilrijk, BELGIUM
    XX
    RN   [2]
    RP   1-518
    RX   PUBMED; 8395683.
    RA   Michiels L., Van der Rauwelaert E., Van Hasselt F., Kas K., Merregaert J.;
    RT   " fau cDNA encodes a ubiquitin-like-S30 fusion protein and is expressed as
    RT   an antisense sequences in the Finkel-Biskis-Reilly murine sarcoma virus";
    RL   Oncogene 8(9):2537-2546(1993).
    XX
    DR   H-InvDB; HIT000322806.
    XX
    FH   Key             Location/Qualifiers
    FH
    FT   source          1..518
    FT                   /organism="Homo sapiens"
    FT                   /chromosome="11q"
    FT                   /map="13"
    FT                   /mol_type="mRNA"
    FT                   /clone_lib="cDNA"
    FT                   /clone="pUIA 631"
    FT                   /tissue_type="placenta"
    FT                   /db_xref="taxon:9606"
    FT   misc_feature    57..278
    FT                   /note="ubiquitin like part"
    FT   CDS             57..458
    FT                   /gene="fau"
    FT                   /db_xref="GDB:135476"
    FT                   /db_xref="GOA:P35544"
    FT                   /db_xref="GOA:P62861"
    FT                   /db_xref="HGNC:3597"
    FT                   /db_xref="UniProtKB/Swiss-Prot:P35544"
    FT                   /db_xref="UniProtKB/Swiss-Prot:P62861"
    FT                   /protein_id="CAA46716.1"
    FT                   /translation="MQLFVRAQELHTFEVTGQETVAQIKAHVASLEGIAPEDQVVLLAG
    FT                   APLEDEATLGQCGVEALTTLEVAGRMLGGKVHGSLARAGKVRGQTPKVAKQEKKKKKTG
    FT                   RAKRRMQYNRRFVNVVPTFGKKKGPNANS"
    FT   misc_feature    98..102
    FT                   /note="nucleolar localization signal"
    FT   misc_feature    279..458
    FT                   /note="S30 part"
    FT   polyA_signal    484..489
    FT   polyA_site      509
    XX
    SQ   Sequence 518 BP; 125 A; 139 C; 148 G; 106 T; 0 other;
         ttcctctttc tcgactccat cttcgcggta gctgggaccg ccgttcagtc gccaatatgc        60
         agctctttgt ccgcgcccag gagctacaca ccttcgaggt gaccggccag gaaacggtcg       120
         cccagatcaa ggctcatgta gcctcactgg agggcattgc cccggaagat caagtcgtgc       180
         tcctggcagg cgcgcccctg gaggatgagg ccactctggg ccagtgcggg gtggaggccc       240
         tgactaccct ggaagtagca ggccgcatgc ttggaggtaa agttcatggt tccctggccc       300
         gtgctggaaa agtgagaggt cagactccta aggtggccaa acaggagaag aagaagaaga       360
         agacaggtcg ggctaagcgg cggatgcagt acaaccggcg ctttgtcaac gttgtgccca       420
         cctttggcaa gaagaagggc cccaatgcca actcttaagt cttttgtaat tctggctttc       480
         tctaataaaa aagccactta gttcagtcaa aaaaaaaa                               518
    //

## Output file format

### Output files for usage example

### File: x65923.freak

    FREAK of X65923 from 1 to 518 Window 30 Step 1

    1          0.500000
    2          0.533333
    3          0.566667
    4          0.533333
    5          0.533333
    6          0.566667
    7          0.566667
    8          0.566667
    9          0.600000
    10         0.633333
    11         0.633333
    12         0.666667
    13         0.666667
    14         0.666667
    15         0.666667
    16         0.633333
    17         0.666667
    18         0.633333
    19         0.633333
    20         0.633333
    21         0.666667
    22         0.666667
    23         0.700000
    24         0.733333
    25         0.700000
    26         0.666667
    27         0.633333
    28         0.600000
    29         0.566667
    30         0.600000
    31         0.633333
    32         0.600000
    33         0.600000
    34         0.633333
    35         0.600000
    36         0.600000
    37         0.566667
    38         0.566667
    39         0.533333
    40         0.533333
    41         0.500000
    42         0.500000
    43         0.500000
    44         0.500000
    45         0.533333
    46         0.566667
    47         0.566667
    48         0.600000

      [Part of this file has been deleted for brevity]

    439        0.433333
    440        0.400000
    441        0.366667
    442        0.333333
    443        0.333333
    444        0.300000
    445        0.333333
    446        0.366667
    447        0.400000
    448        0.366667
    449        0.333333
    450        0.300000
    451        0.333333
    452        0.333333
    453        0.333333
    454        0.333333
    455        0.300000
    456        0.300000
    457        0.300000
    458        0.300000
    459        0.300000
    460        0.266667
    461        0.266667
    462        0.233333
    463        0.233333
    464        0.266667
    465        0.300000
    466        0.333333
    467        0.300000
    468        0.333333
    469        0.333333
    470        0.333333
    471        0.333333
    472        0.366667
    473        0.333333
    474        0.333333
    475        0.333333
    476        0.300000
    477        0.300000
    478        0.300000
    479        0.333333
    480        0.333333
    481        0.300000
    482        0.300000
    483        0.266667
    484        0.266667
    485        0.266667
    486        0.266667
    487        0.266667
    488        0.266667
    489        0.266667

The ouput consists of a title line and then two columns containing the position of the start of the window and then the frequency in that window of the bases or residues being searched for.

## Data files

None.

## Notes

The default set of bases is `cg` which will calculate the frequency of `G` + `C` bases within the default moving window of 30 bases.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranambig | Back-translate a protein sequence to ambiguous nucleotide sequence
backtranseq | Back-translate a protein sequence to a nucleotide sequence
banana | Plot bending and curvature data for B-DNA
btwisted | Calculate the twisting in a B-DNA sequence
chaos | Draw a chaos game representation plot for a nucleotide sequence
charge | Draw a protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein
compseq | Calculate the composition of unique words in sequences
dan | Calculates nucleic acid melting temperature
density | Draw a nucleic acid density plot
emowse | Search protein sequences by digest fragment molecular weight
iep | Calculate the isoelectric point of proteins
isochore | Plots isochores in DNA sequences
mwcontam | Find weights common to multiple molecular weights files
mwfilter | Filter noisy data from molecular weights file
octanol | Draw a White-Wimley protein hydropathy plot
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepstats | Calculates statistics of protein properties
pepwindow | Draw a Kyte-Doolittle hydropathy plot for a protein sequence
pepwindowall | Draw Kyte-Doolittle hydropathy plot for a protein alignment
sirna | Finds siRNA duplexes in mRNA
wordcount | Count and extract unique words in DNA sequence(s)

## Author(s)

Alan Bleasby (ajb © ebi.ac.uk)
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

Written (Aug 2000) Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None